Support for nonstandard baud rate in SetCommState.
diff --git a/configure b/configure
index 0ff0135..b4e6393 100755
--- a/configure
+++ b/configure
@@ -8374,6 +8374,7 @@
linux/cdrom.h \
linux/input.h \
linux/joystick.h \
+ linux/serial.h \
linux/ucdrom.h \
net/if.h \
netdb.h \
@@ -8419,23 +8420,23 @@
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8422: checking for $ac_header" >&5
+echo "$as_me:8423: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8428 "configure"
+#line 8429 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:8432: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8433: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:8438: \$? = $ac_status" >&5
+ echo "$as_me:8439: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8454,7 +8455,7 @@
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:8457: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8458: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -8464,13 +8465,13 @@
fi
done
-echo "$as_me:8467: checking whether stat file-mode macros are broken" >&5
+echo "$as_me:8468: checking whether stat file-mode macros are broken" >&5
echo $ECHO_N "checking whether stat file-mode macros are broken... $ECHO_C" >&6
if test "${ac_cv_header_stat_broken+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8473 "configure"
+#line 8474 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
@@ -8509,7 +8510,7 @@
rm -f conftest*
fi
-echo "$as_me:8512: result: $ac_cv_header_stat_broken" >&5
+echo "$as_me:8513: result: $ac_cv_header_stat_broken" >&5
echo "${ECHO_T}$ac_cv_header_stat_broken" >&6
if test $ac_cv_header_stat_broken = yes; then
@@ -8519,7 +8520,7 @@
fi
-echo "$as_me:8522: checking for $CC option to accept ANSI C" >&5
+echo "$as_me:8523: checking for $CC option to accept ANSI C" >&5
echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
if test "${ac_cv_prog_cc_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8527,7 +8528,7 @@
ac_cv_prog_cc_stdc=no
ac_save_CC=$CC
cat >conftest.$ac_ext <<_ACEOF
-#line 8530 "configure"
+#line 8531 "configure"
#include "confdefs.h"
#include <stdarg.h>
#include <stdio.h>
@@ -8576,16 +8577,16 @@
do
CC="$ac_save_CC $ac_arg"
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8579: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8580: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8582: \$? = $ac_status" >&5
+ echo "$as_me:8583: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8585: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8586: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8588: \$? = $ac_status" >&5
+ echo "$as_me:8589: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_stdc=$ac_arg
break
@@ -8602,21 +8603,21 @@
case "x$ac_cv_prog_cc_stdc" in
x|xno)
- echo "$as_me:8605: result: none needed" >&5
+ echo "$as_me:8606: result: none needed" >&5
echo "${ECHO_T}none needed" >&6 ;;
*)
- echo "$as_me:8608: result: $ac_cv_prog_cc_stdc" >&5
+ echo "$as_me:8609: result: $ac_cv_prog_cc_stdc" >&5
echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
CC="$CC $ac_cv_prog_cc_stdc" ;;
esac
-echo "$as_me:8613: checking for an ANSI C-conforming const" >&5
+echo "$as_me:8614: checking for an ANSI C-conforming const" >&5
echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
if test "${ac_cv_c_const+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8619 "configure"
+#line 8620 "configure"
#include "confdefs.h"
int
@@ -8674,16 +8675,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8677: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8678: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8680: \$? = $ac_status" >&5
+ echo "$as_me:8681: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8683: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8684: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8686: \$? = $ac_status" >&5
+ echo "$as_me:8687: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_const=yes
else
@@ -8693,7 +8694,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8696: result: $ac_cv_c_const" >&5
+echo "$as_me:8697: result: $ac_cv_c_const" >&5
echo "${ECHO_T}$ac_cv_c_const" >&6
if test $ac_cv_c_const = no; then
@@ -8703,7 +8704,7 @@
fi
-echo "$as_me:8706: checking for inline" >&5
+echo "$as_me:8707: checking for inline" >&5
echo $ECHO_N "checking for inline... $ECHO_C" >&6
if test "${ac_cv_c_inline+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8711,7 +8712,7 @@
ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
cat >conftest.$ac_ext <<_ACEOF
-#line 8714 "configure"
+#line 8715 "configure"
#include "confdefs.h"
#ifndef __cplusplus
static $ac_kw int static_foo () {return 0; }
@@ -8720,16 +8721,16 @@
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8723: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8724: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8726: \$? = $ac_status" >&5
+ echo "$as_me:8727: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8729: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8730: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8732: \$? = $ac_status" >&5
+ echo "$as_me:8733: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_inline=$ac_kw; break
else
@@ -8740,7 +8741,7 @@
done
fi
-echo "$as_me:8743: result: $ac_cv_c_inline" >&5
+echo "$as_me:8744: result: $ac_cv_c_inline" >&5
echo "${ECHO_T}$ac_cv_c_inline" >&6
case $ac_cv_c_inline in
inline | yes) ;;
@@ -8755,13 +8756,13 @@
;;
esac
-echo "$as_me:8758: checking for ANSI C header files" >&5
+echo "$as_me:8759: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8764 "configure"
+#line 8765 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
@@ -8769,13 +8770,13 @@
#include <float.h>
_ACEOF
-if { (eval echo "$as_me:8772: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8773: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:8778: \$? = $ac_status" >&5
+ echo "$as_me:8779: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8797,7 +8798,7 @@
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 8800 "configure"
+#line 8801 "configure"
#include "confdefs.h"
#include <string.h>
@@ -8815,7 +8816,7 @@
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 8818 "configure"
+#line 8819 "configure"
#include "confdefs.h"
#include <stdlib.h>
@@ -8836,7 +8837,7 @@
:
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8839 "configure"
+#line 8840 "configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
@@ -8862,15 +8863,15 @@
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8865: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8866: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8868: \$? = $ac_status" >&5
+ echo "$as_me:8869: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:8870: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8871: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8873: \$? = $ac_status" >&5
+ echo "$as_me:8874: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -8883,7 +8884,7 @@
fi
fi
fi
-echo "$as_me:8886: result: $ac_cv_header_stdc" >&5
+echo "$as_me:8887: result: $ac_cv_header_stdc" >&5
echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
@@ -8899,28 +8900,28 @@
inttypes.h stdint.h unistd.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8902: checking for $ac_header" >&5
+echo "$as_me:8903: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8908 "configure"
+#line 8909 "configure"
#include "confdefs.h"
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8914: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8915: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8917: \$? = $ac_status" >&5
+ echo "$as_me:8918: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8920: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8921: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8923: \$? = $ac_status" >&5
+ echo "$as_me:8924: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_Header=yes"
else
@@ -8930,7 +8931,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8933: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8934: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -8940,13 +8941,13 @@
fi
done
-echo "$as_me:8943: checking for mode_t" >&5
+echo "$as_me:8944: checking for mode_t" >&5
echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
if test "${ac_cv_type_mode_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8949 "configure"
+#line 8950 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -8961,16 +8962,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8964: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8965: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8967: \$? = $ac_status" >&5
+ echo "$as_me:8968: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8970: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8971: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8973: \$? = $ac_status" >&5
+ echo "$as_me:8974: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_mode_t=yes
else
@@ -8980,7 +8981,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8983: result: $ac_cv_type_mode_t" >&5
+echo "$as_me:8984: result: $ac_cv_type_mode_t" >&5
echo "${ECHO_T}$ac_cv_type_mode_t" >&6
if test $ac_cv_type_mode_t = yes; then
:
@@ -8992,13 +8993,13 @@
fi
-echo "$as_me:8995: checking for off_t" >&5
+echo "$as_me:8996: checking for off_t" >&5
echo $ECHO_N "checking for off_t... $ECHO_C" >&6
if test "${ac_cv_type_off_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9001 "configure"
+#line 9002 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9013,16 +9014,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9016: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9017: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9019: \$? = $ac_status" >&5
+ echo "$as_me:9020: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9022: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9023: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9025: \$? = $ac_status" >&5
+ echo "$as_me:9026: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_off_t=yes
else
@@ -9032,7 +9033,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9035: result: $ac_cv_type_off_t" >&5
+echo "$as_me:9036: result: $ac_cv_type_off_t" >&5
echo "${ECHO_T}$ac_cv_type_off_t" >&6
if test $ac_cv_type_off_t = yes; then
:
@@ -9044,13 +9045,13 @@
fi
-echo "$as_me:9047: checking for pid_t" >&5
+echo "$as_me:9048: checking for pid_t" >&5
echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
if test "${ac_cv_type_pid_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9053 "configure"
+#line 9054 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9065,16 +9066,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9068: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9069: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9071: \$? = $ac_status" >&5
+ echo "$as_me:9072: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9074: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9075: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9077: \$? = $ac_status" >&5
+ echo "$as_me:9078: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_pid_t=yes
else
@@ -9084,7 +9085,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9087: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:9088: result: $ac_cv_type_pid_t" >&5
echo "${ECHO_T}$ac_cv_type_pid_t" >&6
if test $ac_cv_type_pid_t = yes; then
:
@@ -9096,13 +9097,13 @@
fi
-echo "$as_me:9099: checking for size_t" >&5
+echo "$as_me:9100: checking for size_t" >&5
echo $ECHO_N "checking for size_t... $ECHO_C" >&6
if test "${ac_cv_type_size_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9105 "configure"
+#line 9106 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9117,16 +9118,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9120: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9121: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9123: \$? = $ac_status" >&5
+ echo "$as_me:9124: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9126: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9127: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9129: \$? = $ac_status" >&5
+ echo "$as_me:9130: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_size_t=yes
else
@@ -9136,7 +9137,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9139: result: $ac_cv_type_size_t" >&5
+echo "$as_me:9140: result: $ac_cv_type_size_t" >&5
echo "${ECHO_T}$ac_cv_type_size_t" >&6
if test $ac_cv_type_size_t = yes; then
:
@@ -9148,13 +9149,13 @@
fi
-echo "$as_me:9151: checking for long long" >&5
+echo "$as_me:9152: checking for long long" >&5
echo $ECHO_N "checking for long long... $ECHO_C" >&6
if test "${ac_cv_type_long_long+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9157 "configure"
+#line 9158 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9169,16 +9170,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9172: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9173: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9175: \$? = $ac_status" >&5
+ echo "$as_me:9176: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9178: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9179: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9181: \$? = $ac_status" >&5
+ echo "$as_me:9182: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_long_long=yes
else
@@ -9188,10 +9189,10 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9191: result: $ac_cv_type_long_long" >&5
+echo "$as_me:9192: result: $ac_cv_type_long_long" >&5
echo "${ECHO_T}$ac_cv_type_long_long" >&6
-echo "$as_me:9194: checking size of long long" >&5
+echo "$as_me:9195: checking size of long long" >&5
echo $ECHO_N "checking size of long long... $ECHO_C" >&6
if test "${ac_cv_sizeof_long_long+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9200,7 +9201,7 @@
if test "$cross_compiling" = yes; then
# Depending upon the size, compute the lo and hi bounds.
cat >conftest.$ac_ext <<_ACEOF
-#line 9203 "configure"
+#line 9204 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9212,21 +9213,21 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9215: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9216: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9218: \$? = $ac_status" >&5
+ echo "$as_me:9219: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9221: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9222: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9224: \$? = $ac_status" >&5
+ echo "$as_me:9225: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_lo=0 ac_mid=0
while :; do
cat >conftest.$ac_ext <<_ACEOF
-#line 9229 "configure"
+#line 9230 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9238,16 +9239,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9241: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9242: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9244: \$? = $ac_status" >&5
+ echo "$as_me:9245: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9247: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9248: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9250: \$? = $ac_status" >&5
+ echo "$as_me:9251: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_hi=$ac_mid; break
else
@@ -9263,7 +9264,7 @@
ac_hi=-1 ac_mid=-1
while :; do
cat >conftest.$ac_ext <<_ACEOF
-#line 9266 "configure"
+#line 9267 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9275,16 +9276,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9278: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9279: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9281: \$? = $ac_status" >&5
+ echo "$as_me:9282: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9284: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9285: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9287: \$? = $ac_status" >&5
+ echo "$as_me:9288: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_lo=$ac_mid; break
else
@@ -9300,7 +9301,7 @@
while test "x$ac_lo" != "x$ac_hi"; do
ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
cat >conftest.$ac_ext <<_ACEOF
-#line 9303 "configure"
+#line 9304 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9312,16 +9313,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9315: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9316: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9318: \$? = $ac_status" >&5
+ echo "$as_me:9319: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9321: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9322: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9324: \$? = $ac_status" >&5
+ echo "$as_me:9325: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_hi=$ac_mid
else
@@ -9334,12 +9335,12 @@
ac_cv_sizeof_long_long=$ac_lo
else
if test "$cross_compiling" = yes; then
- { { echo "$as_me:9337: error: cannot run test program while cross compiling" >&5
+ { { echo "$as_me:9338: error: cannot run test program while cross compiling" >&5
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9342 "configure"
+#line 9343 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9355,15 +9356,15 @@
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:9358: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9359: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:9361: \$? = $ac_status" >&5
+ echo "$as_me:9362: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:9363: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9364: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9366: \$? = $ac_status" >&5
+ echo "$as_me:9367: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_sizeof_long_long=`cat conftest.val`
else
@@ -9379,19 +9380,19 @@
ac_cv_sizeof_long_long=0
fi
fi
-echo "$as_me:9382: result: $ac_cv_sizeof_long_long" >&5
+echo "$as_me:9383: result: $ac_cv_sizeof_long_long" >&5
echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6
cat >>confdefs.h <<EOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
EOF
-echo "$as_me:9388: checking whether linux/input.h is for real" >&5
+echo "$as_me:9389: checking whether linux/input.h is for real" >&5
echo $ECHO_N "checking whether linux/input.h is for real... $ECHO_C" >&6
if test "${wine_cv_linux_input_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9394 "configure"
+#line 9395 "configure"
#include "confdefs.h"
#include <linux/input.h>
@@ -9409,16 +9410,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9412: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9413: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9415: \$? = $ac_status" >&5
+ echo "$as_me:9416: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9418: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9419: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9421: \$? = $ac_status" >&5
+ echo "$as_me:9422: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_input_h=yes
else
@@ -9429,7 +9430,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9432: result: $wine_cv_linux_input_h" >&5
+echo "$as_me:9433: result: $wine_cv_linux_input_h" >&5
echo "${ECHO_T}$wine_cv_linux_input_h" >&6
if test "$wine_cv_linux_input_h" = "yes"
then
@@ -9440,13 +9441,13 @@
fi
-echo "$as_me:9443: checking whether we can use re-entrant gethostbyname_r Linux style" >&5
+echo "$as_me:9444: checking whether we can use re-entrant gethostbyname_r Linux style" >&5
echo $ECHO_N "checking whether we can use re-entrant gethostbyname_r Linux style... $ECHO_C" >&6
if test "${wine_cv_linux_gethostbyname_r_6+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9449 "configure"
+#line 9450 "configure"
#include "confdefs.h"
#include <netdb.h>
@@ -9472,16 +9473,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9475: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9476: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9478: \$? = $ac_status" >&5
+ echo "$as_me:9479: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9481: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9482: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9484: \$? = $ac_status" >&5
+ echo "$as_me:9485: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_gethostbyname_r_6=yes
else
@@ -9493,7 +9494,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9496: result: $wine_cv_linux_gethostbyname_r_6" >&5
+echo "$as_me:9497: result: $wine_cv_linux_gethostbyname_r_6" >&5
echo "${ECHO_T}$wine_cv_linux_gethostbyname_r_6" >&6
if test "$wine_cv_linux_gethostbyname_r_6" = "yes"
then
@@ -9506,13 +9507,13 @@
if test "$ac_cv_header_linux_joystick_h" = "yes"
then
- echo "$as_me:9509: checking whether linux/joystick.h uses the Linux 2.2+ API" >&5
+ echo "$as_me:9510: checking whether linux/joystick.h uses the Linux 2.2+ API" >&5
echo $ECHO_N "checking whether linux/joystick.h uses the Linux 2.2+ API... $ECHO_C" >&6
if test "${wine_cv_linux_joystick_22_api+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9515 "configure"
+#line 9516 "configure"
#include "confdefs.h"
#include <sys/ioctl.h>
@@ -9532,16 +9533,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9535: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9536: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9538: \$? = $ac_status" >&5
+ echo "$as_me:9539: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9541: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9542: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9544: \$? = $ac_status" >&5
+ echo "$as_me:9545: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_joystick_22_api=yes
else
@@ -9552,7 +9553,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9555: result: $wine_cv_linux_joystick_22_api" >&5
+echo "$as_me:9556: result: $wine_cv_linux_joystick_22_api" >&5
echo "${ECHO_T}$wine_cv_linux_joystick_22_api" >&6
if test "$wine_cv_linux_joystick_22_api" = "yes"
then
@@ -9566,13 +9567,13 @@
if test "$ac_cv_header_sys_vfs_h" = "yes"
then
- echo "$as_me:9569: checking whether sys/vfs.h defines statfs" >&5
+ echo "$as_me:9570: checking whether sys/vfs.h defines statfs" >&5
echo $ECHO_N "checking whether sys/vfs.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_vfs_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9575 "configure"
+#line 9576 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9594,16 +9595,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9597: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9598: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9600: \$? = $ac_status" >&5
+ echo "$as_me:9601: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9603: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9604: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9606: \$? = $ac_status" >&5
+ echo "$as_me:9607: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_vfs_has_statfs=yes
else
@@ -9615,7 +9616,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9618: result: $wine_cv_sys_vfs_has_statfs" >&5
+echo "$as_me:9619: result: $wine_cv_sys_vfs_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_vfs_has_statfs" >&6
if test "$wine_cv_sys_vfs_has_statfs" = "yes"
then
@@ -9629,13 +9630,13 @@
if test "$ac_cv_header_sys_statfs_h" = "yes"
then
- echo "$as_me:9632: checking whether sys/statfs.h defines statfs" >&5
+ echo "$as_me:9633: checking whether sys/statfs.h defines statfs" >&5
echo $ECHO_N "checking whether sys/statfs.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_statfs_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9638 "configure"
+#line 9639 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9655,16 +9656,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9658: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9659: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9661: \$? = $ac_status" >&5
+ echo "$as_me:9662: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9664: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9665: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9667: \$? = $ac_status" >&5
+ echo "$as_me:9668: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_statfs_has_statfs=yes
else
@@ -9676,7 +9677,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9679: result: $wine_cv_sys_statfs_has_statfs" >&5
+echo "$as_me:9680: result: $wine_cv_sys_statfs_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_statfs_has_statfs" >&6
if test "$wine_cv_sys_statfs_has_statfs" = "yes"
then
@@ -9690,13 +9691,13 @@
if test "$ac_cv_header_sys_mount_h" = "yes"
then
- echo "$as_me:9693: checking whether sys/mount.h defines statfs" >&5
+ echo "$as_me:9694: checking whether sys/mount.h defines statfs" >&5
echo $ECHO_N "checking whether sys/mount.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_mount_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9699 "configure"
+#line 9700 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9716,16 +9717,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9719: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9720: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9722: \$? = $ac_status" >&5
+ echo "$as_me:9723: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9725: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9726: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9728: \$? = $ac_status" >&5
+ echo "$as_me:9729: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_mount_has_statfs=yes
else
@@ -9737,7 +9738,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9740: result: $wine_cv_sys_mount_has_statfs" >&5
+echo "$as_me:9741: result: $wine_cv_sys_mount_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_mount_has_statfs" >&6
if test "$wine_cv_sys_mount_has_statfs" = "yes"
then
@@ -9749,13 +9750,13 @@
fi
fi
-echo "$as_me:9752: checking for f_bfree in struct statfs" >&5
+echo "$as_me:9753: checking for f_bfree in struct statfs" >&5
echo $ECHO_N "checking for f_bfree in struct statfs... $ECHO_C" >&6
if test "${ac_cv_c_statfs_f_bfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9758 "configure"
+#line 9759 "configure"
#include "confdefs.h"
#include <sys/types.h>
#ifdef HAVE_SYS_PARAM_H
@@ -9781,16 +9782,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9784: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9785: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9787: \$? = $ac_status" >&5
+ echo "$as_me:9788: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9790: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9791: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9793: \$? = $ac_status" >&5
+ echo "$as_me:9794: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_statfs_f_bfree="yes"
else
@@ -9800,7 +9801,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9803: result: $ac_cv_c_statfs_f_bfree" >&5
+echo "$as_me:9804: result: $ac_cv_c_statfs_f_bfree" >&5
echo "${ECHO_T}$ac_cv_c_statfs_f_bfree" >&6
if test "x$ac_cv_c_statfs_f_bfree" = "xyes"; then
@@ -9810,13 +9811,13 @@
fi
-echo "$as_me:9813: checking for f_bavail in struct statfs" >&5
+echo "$as_me:9814: checking for f_bavail in struct statfs" >&5
echo $ECHO_N "checking for f_bavail in struct statfs... $ECHO_C" >&6
if test "${ac_cv_c_statfs_f_bavail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9819 "configure"
+#line 9820 "configure"
#include "confdefs.h"
#include <sys/types.h>
#ifdef HAVE_SYS_PARAM_H
@@ -9842,16 +9843,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9845: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9846: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9848: \$? = $ac_status" >&5
+ echo "$as_me:9849: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9851: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9852: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9854: \$? = $ac_status" >&5
+ echo "$as_me:9855: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_statfs_f_bavail="yes"
else
@@ -9861,7 +9862,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9864: result: $ac_cv_c_statfs_f_bavail" >&5
+echo "$as_me:9865: result: $ac_cv_c_statfs_f_bavail" >&5
echo "${ECHO_T}$ac_cv_c_statfs_f_bavail" >&6
if test "x$ac_cv_c_statfs_f_bavail" = "xyes"; then
@@ -9871,13 +9872,13 @@
fi
-echo "$as_me:9874: checking for msg_accrights in struct msghdr" >&5
+echo "$as_me:9875: checking for msg_accrights in struct msghdr" >&5
echo $ECHO_N "checking for msg_accrights in struct msghdr... $ECHO_C" >&6
if test "${ac_cv_c_msghdr_msg_accrights+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9880 "configure"
+#line 9881 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9890,16 +9891,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9893: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9894: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9896: \$? = $ac_status" >&5
+ echo "$as_me:9897: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9899: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9900: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9902: \$? = $ac_status" >&5
+ echo "$as_me:9903: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_msghdr_msg_accrights="yes"
else
@@ -9909,7 +9910,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9912: result: $ac_cv_c_msghdr_msg_accrights" >&5
+echo "$as_me:9913: result: $ac_cv_c_msghdr_msg_accrights" >&5
echo "${ECHO_T}$ac_cv_c_msghdr_msg_accrights" >&6
if test "x$ac_cv_c_msghdr_msg_accrights" = "xyes"; then
@@ -9919,13 +9920,13 @@
fi
-echo "$as_me:9922: checking for sa_len in struct sockaddr" >&5
+echo "$as_me:9923: checking for sa_len in struct sockaddr" >&5
echo $ECHO_N "checking for sa_len in struct sockaddr... $ECHO_C" >&6
if test "${ac_cv_c_sockaddr_sa_len+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9928 "configure"
+#line 9929 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9938,16 +9939,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9941: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9942: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9944: \$? = $ac_status" >&5
+ echo "$as_me:9945: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9947: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9948: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9950: \$? = $ac_status" >&5
+ echo "$as_me:9951: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_sockaddr_sa_len="yes"
else
@@ -9957,7 +9958,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9960: result: $ac_cv_c_sockaddr_sa_len" >&5
+echo "$as_me:9961: result: $ac_cv_c_sockaddr_sa_len" >&5
echo "${ECHO_T}$ac_cv_c_sockaddr_sa_len" >&6
if test "x$ac_cv_c_sockaddr_sa_len" = "xyes"; then
@@ -9967,13 +9968,13 @@
fi
-echo "$as_me:9970: checking for sun_len in struct sockaddr_un" >&5
+echo "$as_me:9971: checking for sun_len in struct sockaddr_un" >&5
echo $ECHO_N "checking for sun_len in struct sockaddr_un... $ECHO_C" >&6
if test "${ac_cv_c_sockaddr_un_sun_len+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9976 "configure"
+#line 9977 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9987,16 +9988,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9990: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9991: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9993: \$? = $ac_status" >&5
+ echo "$as_me:9994: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9996: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9997: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9999: \$? = $ac_status" >&5
+ echo "$as_me:10000: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_sockaddr_un_sun_len="yes"
else
@@ -10006,7 +10007,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:10009: result: $ac_cv_c_sockaddr_un_sun_len" >&5
+echo "$as_me:10010: result: $ac_cv_c_sockaddr_un_sun_len" >&5
echo "${ECHO_T}$ac_cv_c_sockaddr_un_sun_len" >&6
if test "x$ac_cv_c_sockaddr_un_sun_len" = "xyes"; then
@@ -10018,13 +10019,13 @@
case $target_cpu in
*i345678986* )
- echo "$as_me:10021: checking whether we need to define __i386__" >&5
+ echo "$as_me:10022: checking whether we need to define __i386__" >&5
echo $ECHO_N "checking whether we need to define __i386__... $ECHO_C" >&6
if test "${ac_cv_cpp_def_i386+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 10027 "configure"
+#line 10028 "configure"
#include "confdefs.h"
#ifndef __i386__
yes
@@ -10039,7 +10040,7 @@
rm -f conftest*
fi
-echo "$as_me:10042: result: $ac_cv_cpp_def_i386" >&5
+echo "$as_me:10043: result: $ac_cv_cpp_def_i386" >&5
echo "${ECHO_T}$ac_cv_cpp_def_i386" >&6
;;
esac
@@ -10166,7 +10167,7 @@
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:10169: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:10170: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -10342,7 +10343,7 @@
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:10345: error: ambiguous option: $1
+ { { echo "$as_me:10346: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -10361,7 +10362,7 @@
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:10364: error: unrecognized option: $1
+ -*) { { echo "$as_me:10365: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -10562,7 +10563,7 @@
"include/wine" ) CONFIG_COMMANDS="$CONFIG_COMMANDS include/wine" ;;
"include/wine/version.h" ) CONFIG_COMMANDS="$CONFIG_COMMANDS include/wine/version.h" ;;
"include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
- *) { { echo "$as_me:10565: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:10566: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -10827,7 +10828,7 @@
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:10830: creating $ac_file" >&5
+ { echo "$as_me:10831: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -10845,7 +10846,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:10848: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:10849: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -10858,7 +10859,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:10861: error: cannot find input file: $f" >&5
+ { { echo "$as_me:10862: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -10919,7 +10920,7 @@
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:10922: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:10923: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -10930,7 +10931,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:10933: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:10934: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -10943,7 +10944,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:10946: error: cannot find input file: $f" >&5
+ { { echo "$as_me:10947: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -11060,7 +11061,7 @@
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:11063: $ac_file is unchanged" >&5
+ { echo "$as_me:11064: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -11111,42 +11112,42 @@
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
case $ac_dest in
- dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11114: creating dlls/ddraw/d3ddevice" >&5
+ dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11115: creating dlls/ddraw/d3ddevice" >&5
echo "$as_me: creating dlls/ddraw/d3ddevice" >&6;} && mkdir "dlls/ddraw/d3ddevice") ;;
- dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11116: creating dlls/ddraw/dclipper" >&5
+ dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11117: creating dlls/ddraw/dclipper" >&5
echo "$as_me: creating dlls/ddraw/dclipper" >&6;} && mkdir "dlls/ddraw/dclipper") ;;
- dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11118: creating dlls/ddraw/ddraw" >&5
+ dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11119: creating dlls/ddraw/ddraw" >&5
echo "$as_me: creating dlls/ddraw/ddraw" >&6;} && mkdir "dlls/ddraw/ddraw") ;;
- dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11120: creating dlls/ddraw/direct3d" >&5
+ dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11121: creating dlls/ddraw/direct3d" >&5
echo "$as_me: creating dlls/ddraw/direct3d" >&6;} && mkdir "dlls/ddraw/direct3d") ;;
- dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11122: creating dlls/ddraw/dpalette" >&5
+ dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11123: creating dlls/ddraw/dpalette" >&5
echo "$as_me: creating dlls/ddraw/dpalette" >&6;} && mkdir "dlls/ddraw/dpalette") ;;
- dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11124: creating dlls/ddraw/dsurface" >&5
+ dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11125: creating dlls/ddraw/dsurface" >&5
echo "$as_me: creating dlls/ddraw/dsurface" >&6;} && mkdir "dlls/ddraw/dsurface") ;;
- dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11126: creating dlls/dinput/joystick" >&5
+ dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11127: creating dlls/dinput/joystick" >&5
echo "$as_me: creating dlls/dinput/joystick" >&6;} && mkdir "dlls/dinput/joystick") ;;
- dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11128: creating dlls/dinput/keyboard" >&5
+ dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11129: creating dlls/dinput/keyboard" >&5
echo "$as_me: creating dlls/dinput/keyboard" >&6;} && mkdir "dlls/dinput/keyboard") ;;
- dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11130: creating dlls/dinput/mouse" >&5
+ dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11131: creating dlls/dinput/mouse" >&5
echo "$as_me: creating dlls/dinput/mouse" >&6;} && mkdir "dlls/dinput/mouse") ;;
- dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11132: creating dlls/kernel/messages" >&5
+ dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11133: creating dlls/kernel/messages" >&5
echo "$as_me: creating dlls/kernel/messages" >&6;} && mkdir "dlls/kernel/messages") ;;
- dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11134: creating dlls/user/dde" >&5
+ dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11135: creating dlls/user/dde" >&5
echo "$as_me: creating dlls/user/dde" >&6;} && mkdir "dlls/user/dde") ;;
- dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11136: creating dlls/user/resources" >&5
+ dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11137: creating dlls/user/resources" >&5
echo "$as_me: creating dlls/user/resources" >&6;} && mkdir "dlls/user/resources") ;;
- dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11138: creating dlls/wineps/data" >&5
+ dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11139: creating dlls/wineps/data" >&5
echo "$as_me: creating dlls/wineps/data" >&6;} && mkdir "dlls/wineps/data") ;;
- include/wine ) test -d "include/wine" || ({ echo "$as_me:11140: creating include/wine" >&5
+ include/wine ) test -d "include/wine" || ({ echo "$as_me:11141: creating include/wine" >&5
echo "$as_me: creating include/wine" >&6;} && mkdir "include/wine") ;;
- include/wine/version.h ) { echo "$as_me:11142: creating include/wine/version.h" >&5
+ include/wine/version.h ) { echo "$as_me:11143: creating include/wine/version.h" >&5
echo "$as_me: creating include/wine/version.h" >&6;}
cat >$tmp/version.h <<CEOF
/* Generated automatically by configure; DO NOT EDIT! */
#define WINE_RELEASE_INFO "Wine version $wine_version"
CEOF
if cmp -s $tmp/version.h include/wine/version.h 2>/dev/null; then
- { echo "$as_me:11149: include/wine/version.h is unchanged" >&5
+ { echo "$as_me:11150: include/wine/version.h is unchanged" >&5
echo "$as_me: include/wine/version.h is unchanged" >&6;}
rm -f $tmp/version.h
else